BlueSpice for MediaWiki skins for free

Now there are two BlueSpice skins for free download: one is named “GreenSolutions” the other one “Wikipedia”. If you want to have an example, please login to BlueSpice demo and change design in the user preferences. Then click save and you will see the new template.

Change skin in BlueSpice demo

Change skin in BlueSpice demo

 

Skin: “GreenSolutions”

This very light theme has green hovers. The wiki size is pretty small and fixed so that it will not adjust to any width of the browser. The “TopMenuBar” you will find at the top of the page as well as at the bottom of the page.

BlueSpice free skin: "GreenSolutions"

BlueSpice free skin: “GreenSolutions”

Skin: “Wikipedia”

This theme is very close to Wikipedia’s layout. The “TopMenuBar” that contains several links to a choosen target, is hidden. You can open or close parts of the menu. The wiki size adjust  to any width of the browser.

 

BlueSpice free skin: "Wikipedia"

BlueSpice free skin: “Wikipedia”

15 Comments to “BlueSpice for MediaWiki skins for free”

  1. […] There are two free BlueSpice skins available for download. More information. […]

  2. xinity 8 April 2013 at 13:20 #

    these themes are awesome !!!

    by the way, i’ve just deployed the wikipedia theme, and i found 2 “bugs”:
    – the area around the logo is too big, it overlaps the wiki main page
    ==> i had to edit the CSS.
    – the extended search results overlaps as well the textbox.
    ==> i had to edit the CSS.

    • NathalieKoepff 10 April 2013 at 13:57 #

      Thanks xinity for your message. We will fix the bug in the next version :)
      Greetings

  3. StefanIneichen 4 June 2013 at 07:15 #

    Thank you for Bluespice and these great themes!

    I might have found a bug in the wikipedia skin.
    I’ve tried to change to top-left logo via the admin preferences. Changing the setting “logopath” didn’t have any effect. Instead I had to replace the logo image (wikipedia-logo.png) in the directory bluespice-skin/wikipedia/.

    • RichardHeigl 6 June 2013 at 22:38 #

      Thanks for your feedback! We will improve this skin :-)
      Richard Heigl

  4. LukaszKozak 3 December 2013 at 16:11 #

    Hi, skins have a pretty look buut when I try to load them I got this error:
    “Fatal error: Class ‘BsConfig’ not found in /skins/GreenSolutions.php on line 541″

    Any ideas ?

    • admin 6 December 2013 at 07:25 #

      Maybe it is because the skins are compatible to BlueSpice 1.21. If you tried to use them with BlueSpice 2.22. it won’t work, sorry. But we will publish an update next year.
      Greetings
      Nathalie

  5. WPZee 22 March 2014 at 11:49 #

    Nice skin, When was the template last updated.

  6. Lencer 24 March 2014 at 08:21 #

    Is there any timetable to re-release the Wikipedia-Skin for BlueSpice 2.2? That will be fine. It looks pretty compact and comfortable.

    • admin 25 March 2014 at 09:50 #

      Hey there, yeah well, the skins are for BlueSpice 1 but we plan to update them, or offer even new ones, at the end of april. We will keep you informed about that.
      Greetings Nathalie

  7. gustav 10 October 2014 at 09:40 #

    Hi,

    I’m having trouble installing the themes. Maybe I am putting the themes in the wrong catalog.
    My installation:
    Windows IIS
    c:\Sites\mediawiki-bluespice\
    so the bluespice plugin is installed under
    C:\Sites\mediawiki-bluespice\extensions\BlueSpiceDistribution
    C:\Sites\mediawiki-bluespice\extensions\BlueSpiceExtensions
    C:\Sites\mediawiki-bluespice\extensions\BlueSpiceFoundation

    According to the attached documentation for the skin, it should be placed in:

    C:\Sites\mediawiki-bluespice\bluespice-skin\

    like so:
    C:\Sites\mediawiki-bluespice\bluespice-skin\Wikipedia\
    C:\Sites\mediawiki-bluespice\bluespice-skin\Wikipedia.php
    C:\Sites\mediawiki-bluespice\bluespice-skin\Wikipedia.deps.php

    Am I placing the skin in the wrong place?

    BR
    Gustav

    • jgoettlich 10 October 2014 at 10:47 #

      Hello Gustav,

      what you are trying to do is to implement a BlueSpice 1.21 in a BlueSpice 2.22 installtion.
      This won’t work, because BlueSpice 1.21 is in no way compatible with BlueSpice 2.22.

      Best Regards
      Jan Göttlich

  8. admin 10 October 2014 at 10:51 #

    Hi Gustav, is it possible that you use BlueSpice 2.22.x? Then I have bad news… those skins are only for BlueSpice 1.21.x.
    We will try to publish some skins for the new versions in our shop (shop.blue-spice.org) but I think it will be spring next year….
    Greetings Nathalie Köpff

    • gustav 10 October 2014 at 11:14 #

      Ah ok yes that’s why..

      Great to know. Hmm, maybe I should try bluespice 1.21

      BR
      Gustav

      • admin 10 October 2014 at 11:39 #

        If you really want to have this skin, maybe yes, but honestly we didn’t tried it yet to downgrad BlueSpice 😉 And you have to downgrade MediaWiki as well. BlueSpice 2.22.2 is a very good release and you will take a step back then (we changed some stuff in the architecture, new extensions, …) – we think it might cause some problems….


Leave a Reply to Lencer